Index: lib/style/skins/sanparks/sanparksLogin.xsl
===================================================================
--- lib/style/skins/sanparks/sanparksLogin.xsl	(revision 8525)
+++ lib/style/skins/sanparks/sanparksLogin.xsl	(revision 8526)
@@ -69,12 +69,12 @@
 						<tr>	
 							<td colspan="2" class="regtext" align="center" valign="top">				
 								<!-- reset pass --> 
-								<a href="{$cgi-prefix}/ldapweb.cgi?cfg=sanparks&amp;stage=resetpass" target="_parent">
+								<a href="<%=USER_MANAGEMENT_URL%>" target="_parent">
 									reset your password
 								</a>
 								|
 								<!-- change pass --> 
-								<a href="{$cgi-prefix}/ldapweb.cgi?cfg=sanparks&amp;stage=changepass" target="_parent">
+								<a href="<%=USER_MANAGEMENT_URL%>" target="_parent">
 									change your password
 								</a>
 							</td>
@@ -100,7 +100,7 @@
 	</xsl:when>
   	<xsl:otherwise>
 		<h3>Login
-		<a href="{$contextURL}/cgi-bin/ldapweb.cgi?cfg=sanparks" target="_new">
+		<a href="<%=USER_MANAGEMENT_URL%>" target="_new">
 			<span class="regtext"> (request an account...)</span>
 		</a>
 		</h3>
Index: lib/style/skins/sanparks/SaeonLogin.jspx
===================================================================
--- lib/style/skins/sanparks/SaeonLogin.jspx	(revision 8525)
+++ lib/style/skins/sanparks/SaeonLogin.jspx	(revision 8526)
@@ -229,8 +229,8 @@
 		<jsp:element name="a">
 			<jsp:attribute name="target">_new</jsp:attribute>
 			<jsp:attribute name="href">
-				<!--<jsp:expression>CGI_URL + "/ldapweb.cgi?cfg=sanparks"</jsp:expression>-->
-				<jsp:expression>KNB_SITE_URL + "/cgi-bin/ldapweb.cgi?cfg=sanparks"</jsp:expression>
+				<!--<jsp:expression>USER_MANAGEMENT_URL</jsp:expression>-->
+				<jsp:expression>USER_MANAGEMENT_URL</jsp:expression>
 			</jsp:attribute>
 			<span class="regtext"> (request an account...)</span>
 		</jsp:element>
@@ -310,7 +310,7 @@
 				<jsp:element name="a">
 					<jsp:attribute name="target">_parent</jsp:attribute>
 					<jsp:attribute name="href">
-						<jsp:expression>CGI_URL + "/ldapweb.cgi?cfg=sanparks&amp;stage=resetpass"</jsp:expression>
+						<jsp:expression>USER_MANAGEMENT_URL</jsp:expression>
 					</jsp:attribute>
 					reset your password
 				</jsp:element>
@@ -319,7 +319,7 @@
 				<jsp:element name="a">
 					<jsp:attribute name="target">_parent</jsp:attribute>
 					<jsp:attribute name="href">
-						<jsp:expression>CGI_URL + "/ldapweb.cgi?cfg=sanparks&amp;stage=changepass"</jsp:expression>
+						<jsp:expression>USER_MANAGEMENT_URL</jsp:expression>
 					</jsp:attribute>
 					change your password
 				</jsp:element>
Index: lib/style/skins/sanparks/sanparksLogin.jsp
===================================================================
--- lib/style/skins/sanparks/sanparksLogin.jsp	(revision 8525)
+++ lib/style/skins/sanparks/sanparksLogin.jsp	(revision 8526)
@@ -153,7 +153,7 @@
 	if (!clientViewHelper.isLoggedIn()) {
 %>
 		<h3>Login
-		<a href="<%= CONTEXT_URL %>/cgi-bin/ldapweb.cgi?cfg=sanparks" target="_new" >
+		<a href="<%=USER_MANAGEMENT_URL%>" target="_new" >
 		<span class="regtext"> (request an account...)</span>
 		</a>
 		</h3>
@@ -205,12 +205,12 @@
 			<tr>	
 			   <td colspan="2" class="regtext" align="center" valign="top">		
 		      <!-- reset pass -->
-		        <a href="<%= CGI_URL %>/ldapweb.cgi?cfg=sanparks&amp;stage=resetpass" target="_parent">
+		        <a href="<%=USER_MANAGEMENT_URL%>" target="_parent">
 		          reset your password
 		        </a>
 		        |
 		        <!-- change pass -->
-		        <a href="<%= CGI_URL %>/ldapweb.cgi?cfg=sanparks&amp;stage=changepass" target="_parent">
+		        <a href="<%=USER_MANAGEMENT_URL%>" target="_parent">
 		          change your password
 		        </a>
 		      </td>
Index: lib/style/skins/default/include_login.jsp
===================================================================
--- lib/style/skins/default/include_login.jsp	(revision 8525)
+++ lib/style/skins/default/include_login.jsp	(revision 8526)
@@ -132,7 +132,7 @@
                     <img src="<%=STYLE_SKINS_URL%>/default/images/transparent1x1.gif" width="10">
                   </td>
                   <td align="left" class="text_plain">
-                    <a href="<%=CGI_URL%>/ldapweb.cgi?cfg=default" target="_top">
+                    <a href="<%=USER_MANAGEMENT_URL%>" target="_top">
                     create a new account</a>
                   </td>
                 </tr>
@@ -159,7 +159,7 @@
                     <img src="<%=STYLE_SKINS_URL%>/default/images/transparent1x1.gif" width="10" >
                   </td>
                   <td align="left" class="text_plain">
-                    <a href="<%=CGI_URL%>/ldapweb.cgi?stage=resetpass&cfg=default" target="_top">forgot your password?</a>
+                    <a href="<%=USER_MANAGEMENT_URL%>" target="_top">forgot your password?</a>
                   </td>
                 </tr>
                 <tr valign="middle"> 
@@ -176,7 +176,7 @@
                     <img src="<%=STYLE_SKINS_URL%>/default/images/transparent1x1.gif" width="10">
                   </td>
                   <td align="left" class="text_plain">
-                    <a href="<%=CGI_URL%>/ldapweb.cgi?stage=changepass&cfg=default" target="_top">change your password</a> 
+                    <a href="<%=USER_MANAGEMENT_URL%>" target="_top">change your password</a> 
                   </td>
                 </tr>
                 <tr>
Index: lib/style/skins/ltss/index.jsp
===================================================================
--- lib/style/skins/ltss/index.jsp	(revision 8525)
+++ lib/style/skins/ltss/index.jsp	(revision 8526)
@@ -123,11 +123,9 @@
     </menu>
   </li>
   <p>&nbsp;</p>
-  <li><a href="<%=CGI_URL%>/ldapweb.cgi?cfg=ltss">Create a new account</a>
-    <ul>
-        <li><a href="<%=CGI_URL%>/ldapweb.cgi?cfg=ltss&amp;stage=changepass">Change your password</a>
-        <li><a href="<%=CGI_URL%>/ldapweb.cgi?cfg=ltss&amp;stage=resetpass">Reset your password</a>
-    </ul>
+  
+  
+  <li><a href="<%=USER_MANAGEMENT_URL%>">Need an account? Forgot password?</a>
     <br />
     <menu>
       The account management tools are used to create and manage registry 
Index: lib/style/skins/knb2/index.jsp
===================================================================
--- lib/style/skins/knb2/index.jsp	(revision 8525)
+++ lib/style/skins/knb2/index.jsp	(revision 8526)
@@ -195,23 +195,10 @@
                           </tr>
                           <tr valign="middle">
                             <td height="20">&nbsp;</td>
-                            <td height="20" align="left"><a href="http://ldap.ecoinformatics.org/cgi-bin/ldapweb.cgi?cfg=knb" target="_blank">create
-                              a new account</a></td>
+                            <td height="20" align="left"><a href="<%=USER_MANAGEMENT_URL%>" target="_blank">Need an account? Forgot password?</a></td>
                             <td height="20">&nbsp;</td>
                           </tr>
                           <tr valign="middle">
-                            <td height="20">&nbsp;</td>
-                            <td height="20" align="left"><a href="http://ldap.ecoinformatics.org/cgi-bin/ldapweb.cgi?stage=resetpass&cfg=knb" target="_blank">forgot
-                              your password?</a></td>
-                            <td height="20">&nbsp;</td>
-                          </tr>
-                          <tr valign="middle">
-                            <td height="20">&nbsp;</td>
-                            <td height="20" align="left"><a href="http://ldap.ecoinformatics.org/cgi-bin/ldapweb.cgi?stage=changepass&cfg=knb" target="_blank">change
-                                your password</a></td>
-                            <td height="20">&nbsp;</td>
-                          </tr>
-                          <tr valign="middle">
                             <td colspan="3"><img src="./images/transparent1x1.gif" width="20" height="2"></td>
                           </tr>
                       </table></td>
Index: lib/style/skins/saeon/SaeonLogin.jspx
===================================================================
--- lib/style/skins/saeon/SaeonLogin.jspx	(revision 8525)
+++ lib/style/skins/saeon/SaeonLogin.jspx	(revision 8526)
@@ -269,8 +269,8 @@
 			<jsp:element name="a">
 				<jsp:attribute name="target">_new</jsp:attribute>
 				<jsp:attribute name="href">
-					<!--<jsp:expression>CGI_URL + "/ldapweb.cgi?cfg=saeon"</jsp:expression>-->
-					<jsp:expression>KNB_SITE_URL + "/cgi-bin/ldapweb.cgi?cfg=saeon"</jsp:expression>
+					<!--<jsp:expression>USER_MANAGEMENT_URL</jsp:expression>-->
+					<jsp:expression>USER_MANAGEMENT_URL</jsp:expression>
 				</jsp:attribute>
 				<jsp:element name="img">
 					<jsp:attribute name="src">
@@ -340,7 +340,7 @@
 			<jsp:element name="a">
 				<jsp:attribute name="target">_parent</jsp:attribute>
 				<jsp:attribute name="href">
-					<jsp:expression>CGI_URL + "/ldapweb.cgi?cfg=saeon&amp;stage=resetpass"</jsp:expression>
+					<jsp:expression>USER_MANAGEMENT_URL</jsp:expression>
 				</jsp:attribute>
 				<jsp:element name="img">
 					<jsp:attribute name="src">
@@ -358,7 +358,7 @@
 			<jsp:element name="a">
 				<jsp:attribute name="target">_parent</jsp:attribute>
 				<jsp:attribute name="href">
-					<jsp:expression>CGI_URL + "/ldapweb.cgi?cfg=saeon&amp;stage=changepass"</jsp:expression>
+					<jsp:expression>USER_MANAGEMENT_URL</jsp:expression>
 				</jsp:attribute>
 				<jsp:element name="img">
 					<jsp:attribute name="src">
Index: lib/style/skins/saeon/header.jsp
===================================================================
--- lib/style/skins/saeon/header.jsp	(revision 8525)
+++ lib/style/skins/saeon/header.jsp	(revision 8526)
@@ -97,7 +97,7 @@
 <h5 class="hiddenStructure">Personal tools</h5>
 <ul id="portal-personaltools">
 	<li><%=loginHTML %></li>
-	<li><a href="<%=CGI_URL%>/ldapweb.cgi?cfg=saeon" target="_top"> Join </a></li>
+	<li><a href="<%=USER_MANAGEMENT_URL%>" target="_top"> Join </a></li>
 </ul>
 
 </body>
Index: lib/style/skins/lter/metacatlogin.jsp
===================================================================
--- lib/style/skins/lter/metacatlogin.jsp	(revision 8525)
+++ lib/style/skins/lter/metacatlogin.jsp	(revision 8526)
@@ -82,7 +82,7 @@
             <input type="text" name="username" maxlength="15" size="15" value="">
           </td>
           <td>
-            <a target="_top" href="http://knb.ecoinformatics.org/cgi-bin/ldapweb.cgi?cfg=lter">
+            <a target="_top" href="<%=USER_MANAGEMENT_URL%>">
               Create a new account
             </a>
           </td>
@@ -104,7 +104,7 @@
             </select>
           </td>
           <td>
-            <a target="_top" href="http://knb.ecoinformatics.org/cgi-bin/ldapweb.cgi?stage=resetpass&cfg=lter">
+            <a target="_top" href="<%=USER_MANAGEMENT_URL%>">
               Forgot your password?
             </a>
           </td>
@@ -119,7 +119,7 @@
             <input type="password" name="password" maxlength="15" size="15" value="">
           </td>
           <td>
-            <a target="_top" href="http://knb.ecoinformatics.org/cgi-bin/ldapweb.cgi?stage=changepass&cfg=lter">
+            <a target="_top" href="<%=USER_MANAGEMENT_URL%>">
               Change your password
             </a>
           </td>
Index: lib/style/skins/esa/index.jsp
===================================================================
--- lib/style/skins/esa/index.jsp	(revision 8525)
+++ lib/style/skins/esa/index.jsp	(revision 8526)
@@ -266,7 +266,7 @@
            <strong>Steps for registering an ESA data set</strong>
 	    <br>
            <span class="greenbold">Step 1: Create an Account</span> <br>
-           <p> <a href="<%=CGI_URL%>/ldapweb.cgi?cfg=esa">Create an account</a> by registering with the <a href="http://knb.ecoinformatics.org">KNB</a>. Many scientists will already have accounts in the KNB, especially those 
+           <p> <a href="<%=USER_MANAGEMENT_URL%>">Create an account</a> by registering with the <a href="http://knb.ecoinformatics.org">KNB</a>. Many scientists will already have accounts in the KNB, especially those 
 from institutions like NCEAS and LTER. If you already have an account please use that existing account rather than creating a new one. </p>
            <span class="greenbold">Step 2: Login</span><br>
 	   <p><a href="<%=CGI_URL%>/register-dataset.cgi?cfg=esa&stage=loginform">Login to the ESA Registry</a> website with the account you created. Fill out the ESA Data Registry Form.</p>
@@ -275,12 +275,11 @@
            <span class="greenbold">Step 4: Look for Feedback</span> <br>
 <p>After you submit, watch for e-mail sent by the ESA moderator regarding whether your data set  has been accepted.</p>      </ul>
   
-      <li><a href="<%=CGI_URL%>/ldapweb.cgi?cfg=esa">Create a new account</a>
+      
     <ul>
-        <li><a href="<%=CGI_URL%>/ldapweb.cgi?cfg=esa&amp;stage=changepass">Change your password</a>
-        <li><a href="<%=CGI_URL%>/ldapweb.cgi?cfg=esa&amp;stage=resetpass">Reset your password</a>
+        Need an account? Forgot password? <a href="<%=USER_MANAGEMENT_URL%>">Click here</a>.
     </ul>
-        <ul>
+    <ul>
       The account management tools are used to create and manage registry 
       accounts.   Accounts are free, and are used to identify contributors
       so that they can maintain their entries in the future.  