Index: lib/metacat.properties
===================================================================
--- lib/metacat.properties	(revision 8554)
+++ lib/metacat.properties	(revision 8555)
@@ -22,7 +22,7 @@
 ############### Application Values ############
 
 ## one of the few places where we use ANT tokens
-application.metacatVersion=2.3.1
+application.metacatVersion=2.4.0
 application.metacatReleaseInfo=-1
 
 application.deployDir=
@@ -86,6 +86,7 @@
 database.upgradeVersion.2.2.1=upgrade-db-to-2.2.1
 database.upgradeVersion.2.3.0=upgrade-db-to-2.3.0
 database.upgradeVersion.2.3.1=upgrade-db-to-2.3.1
+database.upgradeVersion.2.4.0=upgrade-db-to-2.4.0
 ## for running java-based utilities
 database.upgradeUtility.1.5.0=edu.ucsb.nceas.metacat.admin.upgrade.Upgrade1_5_0
 database.upgradeUtility.2.0.0=edu.ucsb.nceas.metacat.admin.upgrade.Upgrade2_0_0
@@ -639,9 +640,9 @@
 
 ############# Index Section ###########################################
 #The md5 hash numbers for the schema.xml in previous releases. It should be sperator by ';' if it has multiple values.
-index.schema.previous.hash=714457a3cdd05e034e5df46589b3bfa9
+index.schema.previous.hash=714457a3cdd05e034e5df46589b3bfa9;ba7dc67bbf749b02e03d7b7cc6a31def;ebf5b20f9cd18d31c3a6057749ba9397
 #The md5 hash number for the schema.xml in this release
-index.schema.current.hash=ba7dc67bbf749b02e03d7b7cc6a31def
+index.schema.current.hash=ebf5b20f9cd18d31c3a6057749ba9397
 index.context=metacat-index
 index.resourcemap.namespace=http://www.w3.org/TR/rdf-syntax-grammar;http://www.openarchives.org/ore/terms
 #The process to regenerate the index when the metacat-index web app starts needs the readiness of the metacat.
Index: src/upgrade-db-to-2.4.0-oracle.sql
===================================================================
--- src/upgrade-db-to-2.4.0-oracle.sql	(nonexistent)
+++ src/upgrade-db-to-2.4.0-oracle.sql	(revision 8555)
@@ -0,0 +1,7 @@
+/*
+ * update the database version
+ */
+UPDATE db_version SET status=0;
+
+INSERT INTO db_version (version, status, date_created) 
+  VALUES ('2.4.0', 1, CURRENT_DATE);

Property changes on: src/upgrade-db-to-2.4.0-oracle.sql
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+Author Date Id Revision
\ No newline at end of property
Index: src/upgrade-db-to-2.4.0-postgres.sql
===================================================================
--- src/upgrade-db-to-2.4.0-postgres.sql	(nonexistent)
+++ src/upgrade-db-to-2.4.0-postgres.sql	(revision 8555)
@@ -0,0 +1,7 @@
+/*
+ * update the database version
+ */
+UPDATE db_version SET status=0;
+
+INSERT INTO db_version (version, status, date_created) 
+  VALUES ('2.4.0', 1, CURRENT_DATE);

Property changes on: src/upgrade-db-to-2.4.0-postgres.sql
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+Author Date Id Revision
\ No newline at end of property
Index: src/loaddtdschema-postgres.sql
===================================================================
--- src/loaddtdschema-postgres.sql	(revision 8554)
+++ src/loaddtdschema-postgres.sql	(revision 8555)
@@ -92,4 +92,4 @@
 INSERT INTO xml_catalog (entry_type, public_id, system_id)
   VALUES ('Schema', 'http://ecoinformatics.org/registryentry-1.0.0', '/schema/RegistryService/RegistryEntryType.xsd');
 INSERT INTO db_version (version, status, date_created) 
-  VALUES ('2.3.1',1,CURRENT_DATE);
+  VALUES ('2.4.0',1,CURRENT_DATE);
Index: src/loaddtdschema-oracle.sql
===================================================================
--- src/loaddtdschema-oracle.sql	(revision 8554)
+++ src/loaddtdschema-oracle.sql	(revision 8555)
@@ -92,4 +92,4 @@
 INSERT INTO xml_catalog (entry_type, public_id, system_id)
   VALUES ('Schema', '/schema/RegistryService/RegistryEntryType.xsd', '/schema/RegistryService/RegistryEntryType.xsd'); 
 INSERT INTO db_version (version, status, date_created) 
-  VALUES ('2.3.1',1,CURRENT_DATE);
+  VALUES ('2.4.0',1,CURRENT_DATE);
Index: docs/user/metacat/source/conf.py
===================================================================
--- docs/user/metacat/source/conf.py	(revision 8554)
+++ docs/user/metacat/source/conf.py	(revision 8555)
@@ -45,9 +45,9 @@
 # built documents.
 #
 # The short X.Y version.
-version = '2.3'
+version = '2.4'
 # The full version, including alpha/beta/rc tags.
-release = '2.3.1'
+release = '2.4.0'
 
 # The language for content autogenerated by Sphinx. Refer to documentation
 # for a list of supported languages.
Index: docs/user/metacat/source/install.rst
===================================================================
--- docs/user/metacat/source/install.rst	(revision 8554)
+++ docs/user/metacat/source/install.rst	(revision 8555)
@@ -83,7 +83,7 @@
 Downloading the Metacat Installer is the simplest way to get started with the
 application. To download the installer: 
 
-1.  Browse to the `Metacat Download Page`_. In the Metacat section, select the link to the "GZIP file" (the link should look like: metacat-bin-X.X.X.tar.gz, where X.X.X is the latest version of Metacat e.g., 2.3.1) 
+1.  Browse to the `Metacat Download Page`_. In the Metacat section, select the link to the "GZIP file" (the link should look like: metacat-bin-X.X.X.tar.gz, where X.X.X is the latest version of Metacat e.g., 2.4.0) 
 2.  Save the file locally. 
 3.  Extract the Metacat package files by typing:
 
@@ -115,7 +115,7 @@
 ............................
 To get the Metacat source distribution:
 
-1. Browse to the `Metacat Download Page`_. In the Metacat section, select the link to the Metacat Source code (it will look something like this: metacat-src-X.X.X.tar.gz, where X.X.X is the latest version of Metacat, e.g., 2.3.1).
+1. Browse to the `Metacat Download Page`_. In the Metacat section, select the link to the Metacat Source code (it will look something like this: metacat-src-X.X.X.tar.gz, where X.X.X is the latest version of Metacat, e.g., 2.4.0).
 2. Save the file locally. 
 3. Extract the Metacat package files by typing (replace X.X.X with the current version number): 
 
Index: docs/user/metacat/source/index.rst
===================================================================
--- docs/user/metacat/source/index.rst	(revision 8554)
+++ docs/user/metacat/source/index.rst	(revision 8555)
@@ -2,7 +2,7 @@
 Metacat Administrator's Guide
 =============================
 
-.. sidebar:: Version: 2.3.1
+.. sidebar:: Version: 2.4.0
 
     .. image:: themes/metacatui/static/metacat-logo-darkgray.png
        :height: 130pt
@@ -26,11 +26,11 @@
 - Download Metacat
 
     - Binary Distribution (A war file installation)
-        - GZIP File: metacat-bin-2.3.1.tar.gz_
-        - ZIP File: metacat-bin-2.3.1.zip_
+        - GZIP File: metacat-bin-2.4.0.tar.gz_
+        - ZIP File: metacat-bin-2.4.0.zip_
     - Source Distribution (Full source, requiring build)
-        - GZIP File: metacat-src-2.3.1.tar.gz_
-        - ZIP File: metacat-src-2.3.1.zip_
+        - GZIP File: metacat-src-2.4.0.tar.gz_
+        - ZIP File: metacat-src-2.4.0.zip_
     - `Older versions`_
     
 - For Developers: Metacat `API documentation`_
@@ -39,13 +39,13 @@
 
 .. _API documentation: ./api/index.html
 
-.. _metacat-bin-2.3.1.tar.gz: http://knb.ecoinformatics.org/software/dist/metacat-bin-2.3.1.tar.gz
+.. _metacat-bin-2.4.0.tar.gz: http://knb.ecoinformatics.org/software/dist/metacat-bin-2.4.0.tar.gz
 
-.. _metacat-bin-2.3.1.zip: http://knb.ecoinformatics.org/software/dist/metacat-bin-2.3.1.zip
+.. _metacat-bin-2.4.0.zip: http://knb.ecoinformatics.org/software/dist/metacat-bin-2.4.0.zip
 
-.. _metacat-src-2.3.1.tar.gz: http://knb.ecoinformatics.org/software/dist/metacat-src-2.3.1.tar.gz
+.. _metacat-src-2.4.0.tar.gz: http://knb.ecoinformatics.org/software/dist/metacat-src-2.4.0.tar.gz
 
-.. _metacat-src-2.3.1.zip: http://knb.ecoinformatics.org/software/dist/metacat-src-2.3.1.zip
+.. _metacat-src-2.4.0.zip: http://knb.ecoinformatics.org/software/dist/metacat-src-2.4.0.zip
 
 .. _Older versions: http://knb.ecoinformatics.org/software/dist/
 
Index: build.properties
===================================================================
--- build.properties	(revision 8554)
+++ build.properties	(revision 8555)
@@ -2,7 +2,7 @@
 
 #Version of this build.  This needs to be a dotted numeric version.  For
 #instance 1.9.1 is okay.  1.9.1_rc1 is not.
-metacat.version=2.3.1
+metacat.version=2.4.0
 
 #This is for packaging purposes.  leave it blank for final production release.
 metacat.releaseCandidate=
Index: README
===================================================================
--- README	(revision 8554)
+++ README	(revision 8555)
@@ -8,7 +8,7 @@
 Metacat: XML Metadata and Data Management System
 ------------------------------------------------                      
 
-Version: 2.3.1 Release
+Version: 2.4.0 Release
 
 Send feedback and bugs to: metacat-dev@ecoinformatics.org
                            http://bugzilla.ecoinformatics.org
@@ -54,6 +54,17 @@
 See the file "docs/install.html" for detailed instructions
 for your OS.
 
+Release Notes for 2.4.0:
+------------------------
+These release adds a new default file-based authentication mechanism
+that allows administrators to more easily deploy Metacat without a
+LDAP server.
+Other enhancements include:
+* Access policy synchronization with the DataONE Coordinating Node
+* Indexing support for EML singleDateTime coverage values
+* Indexing support document read/download events
+* Improved package download structure and file naming conventions
+
 Release Notes for 2.3.1:
 ------------------------
 This is a minor patch release to fix an issue that arises when
Index: build.xml
===================================================================
--- build.xml	(revision 8554)
+++ build.xml	(revision 8555)
@@ -1192,6 +1192,7 @@
 		description="Uses the ant to run a class">
 		
 		<java classname="${classtorun}" fork="true">
+			<arg line="${args}" />
 			<jvmarg value="-Dfile.encoding=UTF-8"/>
 			<classpath>
 				<path refid="test.classpath" />