Index: src/edu/ucsb/nceas/metacat/dataone/CNodeService.java
===================================================================
--- src/edu/ucsb/nceas/metacat/dataone/CNodeService.java	(revision 8810)
+++ src/edu/ucsb/nceas/metacat/dataone/CNodeService.java	(revision 8811)
@@ -1862,105 +1862,5 @@
 		throw new NotImplemented("0000", "The CN capabilities are not stored in Metacat.");
 	}
 	
-	/**
-     * A method to notify the Coordinating Node that the authoritative copy of 
-     * system metadata on the Authoritative Member Node has changed.
-     * 
-     * @param session   Session information that contains the identity of the 
-     *                  calling user as retrieved from the X.509 certificate 
-     *                  which must be traceable to the CILogon service.
-     * @param serialVersion   The serialVersion of the system metadata
-     * @param dateSysMetaLastModified  The time stamp for when the system metadata was changed
-     * @throws NotImplemented
-     * @throws ServiceFailure
-     * @throws NotAuthorized
-     * @throws InvalidRequest
-     * @throws InvalidToken
-     */
-	@Override
-    public boolean systemMetadataChanged(Session session, Identifier pid,
-        long serialVersion, Date dateSysMetaLastModified) 
-        throws NotImplemented, ServiceFailure, NotAuthorized, InvalidRequest,
-        InvalidToken {
-        
-        // cannot be called by public
-        if (session == null) {
-        	throw new InvalidToken("2183", "No session was provided.");
-        }
-
-        SystemMetadata currentLocalSysMeta = null;
-        SystemMetadata newSysMeta = null;
-        boolean allowed = false;
-        
-        // are we allowed to call this?
-        allowed = super.isAuthoritativeMNodeAdmin(session, pid);
-        
-        if (!allowed ) {
-            String msg = "The subject identified by " + session.getSubject().getValue() +
-              " is not authorized to call this service.";
-            throw new NotAuthorized("1331", msg);
-            
-        }
-        
-        // compare what we have locally to what is sent in the change notification
-        try {
-            currentLocalSysMeta = HazelcastService.getInstance().getSystemMetadataMap().get(pid);
-             
-        } catch (RuntimeException e) {
-            String msg = "SystemMetadata for pid " + pid.getValue() +
-              " couldn't be updated because it couldn't be found locally: " +
-              e.getMessage();
-            logMetacat.error(msg);
-            ServiceFailure sf = new ServiceFailure("1333", msg);
-            sf.initCause(e);
-            throw sf; 
-        }
-        
-        if (currentLocalSysMeta.getSerialVersion().longValue() < serialVersion ) {
-            try {
-            	
-                MNode mn = D1Client.getMN(currentLocalSysMeta.getAuthoritativeMemberNode());
-				newSysMeta = mn .getSystemMetadata(null, pid);
-            } catch (NotFound e) {
-                // huh? you just said you had it
-            	String msg = "On updating the local copy of system metadata " + 
-                "for pid " + pid.getValue() +", the AuthMN reports it is not found." +
-                " The error message was: " + e.getMessage();
-                logMetacat.error(msg);
-                ServiceFailure sf = new ServiceFailure("1333", msg);
-                sf.initCause(e);
-                throw sf;
-            }
-            
-            // update the local copy of system metadata for the pid
-            try {
-                HazelcastService.getInstance().getSystemMetadataMap().put(newSysMeta.getIdentifier(), newSysMeta);
-                logMetacat.info("Updated local copy of system metadata for pid " +
-                    pid.getValue() + " after change notification from the CN.");
-                
-                // TODO: consider inspecting the change for archive
-                // see: https://projects.ecoinformatics.org/ecoinfo/issues/6417
-
-            } catch (RuntimeException e) {
-                String msg = "SystemMetadata for pid " + pid.getValue() +
-                  " couldn't be updated: " +
-                  e.getMessage();
-                logMetacat.error(msg);
-                ServiceFailure sf = new ServiceFailure("1333", msg);
-                sf.initCause(e);
-                throw sf;
-            }
-            
-            // submit for indexing
-            try {
-				MetacatSolrIndex.getInstance().submit(newSysMeta.getIdentifier(), newSysMeta, null, true);
-			} catch (Exception e) {
-                logMetacat.error("Could not submit changed systemMetadata for indexing, pid: " + newSysMeta.getIdentifier().getValue(), e);
-			}
-        }
-        
-        return true;
-        
-    }
 	
 }