Index: metacat-index/src/test/java/edu/ucsb/nceas/metacat/index/IndexGeneratorTimerTaskIT.java
===================================================================
--- metacat-index/src/test/java/edu/ucsb/nceas/metacat/index/IndexGeneratorTimerTaskIT.java	(revision 8825)
+++ metacat-index/src/test/java/edu/ucsb/nceas/metacat/index/IndexGeneratorTimerTaskIT.java	(revision 8826)
@@ -1,30 +1,7 @@
 package edu.ucsb.nceas.metacat.index;
 
-import static org.junit.Assert.assertTrue;
-
-import java.io.File;
-import java.io.FileInputStream;
-import java.io.IOException;
-import java.io.InputStream;
-import java.io.StringWriter;
-import java.io.Writer;
-import java.util.ArrayList;
 import java.util.List;
 
-import org.apache.solr.client.solrj.SolrServer;
-import org.apache.solr.client.solrj.SolrServerException;
-import org.apache.solr.client.solrj.embedded.EmbeddedSolrServer;
-import org.apache.solr.client.solrj.response.QueryResponse;
-import org.apache.solr.common.params.SolrParams;
-import org.apache.solr.core.CoreContainer;
-import org.apache.solr.core.SolrCore;
-import org.apache.solr.request.LocalSolrQueryRequest;
-import org.apache.solr.response.SolrQueryResponse;
-import org.apache.solr.response.XMLResponseWriter;
-import org.apache.solr.servlet.SolrRequestParsers;
-import org.dataone.service.types.v1.SystemMetadata;
-import org.dataone.service.util.TypeMarshaller;
-import org.junit.Before;
 import org.junit.Test;
 
 public class IndexGeneratorTimerTaskIT {
Index: metacat-index/src/test/java/edu/ucsb/nceas/metacat/index/event/IndexEventEntryListenerIT.java
===================================================================
--- metacat-index/src/test/java/edu/ucsb/nceas/metacat/index/event/IndexEventEntryListenerIT.java	(revision 8825)
+++ metacat-index/src/test/java/edu/ucsb/nceas/metacat/index/event/IndexEventEntryListenerIT.java	(revision 8826)
@@ -1,16 +1,17 @@
 package edu.ucsb.nceas.metacat.index.event;
 
-import static org.junit.Assert.*;
+import static org.junit.Assert.assertEquals;
+import static org.junit.Assert.assertNotNull;
+import static org.junit.Assert.assertNull;
+import static org.junit.Assert.fail;
 
 import java.util.Calendar;
 
 import org.dataone.service.types.v1.Event;
 import org.dataone.service.types.v1.Identifier;
-import org.junit.Before;
 import org.junit.Test;
 
 import edu.ucsb.nceas.metacat.common.index.event.IndexEvent;
-import edu.ucsb.nceas.metacat.index.ApplicationController;
 import edu.ucsb.nceas.metacat.index.DistributedMapsFactory;
 
 public class IndexEventEntryListenerIT {
Index: metacat-index/src/test/java/edu/ucsb/nceas/metacat/index/SolrMetacatIdsComparatorIT.java
===================================================================
--- metacat-index/src/test/java/edu/ucsb/nceas/metacat/index/SolrMetacatIdsComparatorIT.java	(revision 8825)
+++ metacat-index/src/test/java/edu/ucsb/nceas/metacat/index/SolrMetacatIdsComparatorIT.java	(revision 8826)
@@ -11,7 +11,6 @@
 import org.apache.solr.common.params.SolrParams;
 import org.apache.solr.servlet.SolrRequestParsers;
 import org.dataone.cn.indexer.solrhttp.SolrDoc;
-import org.dataone.cn.indexer.solrhttp.SolrElementField;
 import org.junit.Before;
 import org.junit.Ignore;
 import org.junit.Test;
Index: metacat-index/src/test/java/edu/ucsb/nceas/metacat/index/SolrIndexIT.java
===================================================================
--- metacat-index/src/test/java/edu/ucsb/nceas/metacat/index/SolrIndexIT.java	(revision 8825)
+++ metacat-index/src/test/java/edu/ucsb/nceas/metacat/index/SolrIndexIT.java	(revision 8826)
@@ -22,7 +22,7 @@
 import org.apache.solr.response.XMLResponseWriter;
 import org.apache.solr.servlet.SolrRequestParsers;
 import org.dataone.service.types.v1.Identifier;
-import org.dataone.service.types.v1.SystemMetadata;
+import org.dataone.service.types.v2.SystemMetadata;
 import org.dataone.service.util.TypeMarshaller;
 import org.junit.Before;
 import org.junit.Test;
Index: metacat-index/src/test/java/edu/ucsb/nceas/metacat/index/resourcemap/ResourceMapSubprocessorIT.java
===================================================================
--- metacat-index/src/test/java/edu/ucsb/nceas/metacat/index/resourcemap/ResourceMapSubprocessorIT.java	(revision 8825)
+++ metacat-index/src/test/java/edu/ucsb/nceas/metacat/index/resourcemap/ResourceMapSubprocessorIT.java	(revision 8826)
@@ -1,6 +1,6 @@
 package edu.ucsb.nceas.metacat.index.resourcemap;
 
-import static org.junit.Assert.*;
+import static org.junit.Assert.assertTrue;
 
 import java.io.File;
 import java.io.FileInputStream;
@@ -15,7 +15,6 @@
 import org.dataone.cn.indexer.parser.IDocumentSubprocessor;
 import org.dataone.cn.indexer.solrhttp.SolrDoc;
 import org.dataone.cn.indexer.solrhttp.SolrElementField;
-import org.dataone.configuration.Settings;
 import org.junit.Test;
 import org.w3c.dom.Document;
 import org.w3c.dom.Node;
Index: metacat-index/src/test/java/edu/ucsb/nceas/metacat/index/DistributedMapsFactoryIT.java
===================================================================
--- metacat-index/src/test/java/edu/ucsb/nceas/metacat/index/DistributedMapsFactoryIT.java	(revision 8825)
+++ metacat-index/src/test/java/edu/ucsb/nceas/metacat/index/DistributedMapsFactoryIT.java	(revision 8826)
@@ -3,7 +3,7 @@
 import static org.junit.Assert.assertTrue;
 
 import org.dataone.service.types.v1.Identifier;
-import org.dataone.service.types.v1.SystemMetadata;
+import org.dataone.service.types.v2.SystemMetadata;
 import org.junit.Test;
 
 import com.hazelcast.core.IMap;
Index: metacat-index/src/main/java/edu/ucsb/nceas/metacat/index/IndexGeneratorTimerTask.java
===================================================================
--- metacat-index/src/main/java/edu/ucsb/nceas/metacat/index/IndexGeneratorTimerTask.java	(revision 8825)
+++ metacat-index/src/main/java/edu/ucsb/nceas/metacat/index/IndexGeneratorTimerTask.java	(revision 8826)
@@ -18,14 +18,11 @@
  */
 package edu.ucsb.nceas.metacat.index;
 
-import java.io.File;
 import java.io.FileInputStream;
 import java.io.FileNotFoundException;
 import java.io.IOException;
 import java.io.InputStream;
-import java.text.SimpleDateFormat;
 import java.util.ArrayList;
-import java.util.Calendar;
 import java.util.Collections;
 import java.util.Date;
 import java.util.List;
@@ -34,7 +31,6 @@
 import javax.xml.parsers.ParserConfigurationException;
 import javax.xml.xpath.XPathExpressionException;
 
-import org.apache.commons.io.FileUtils;
 import org.apache.commons.logging.Log;
 import org.apache.commons.logging.LogFactory;
 import org.apache.solr.client.solrj.SolrServerException;
@@ -46,10 +42,9 @@
 import org.dataone.service.exceptions.NotImplemented;
 import org.dataone.service.exceptions.ServiceFailure;
 import org.dataone.service.exceptions.UnsupportedType;
-import org.dataone.service.types.v1.Event;
 import org.dataone.service.types.v1.Identifier;
 import org.dataone.service.types.v1.ObjectFormatIdentifier;
-import org.dataone.service.types.v1.SystemMetadata;
+import org.dataone.service.types.v2.SystemMetadata;
 import org.dspace.foresite.OREParserException;
 import org.xml.sax.SAXException;
 
@@ -56,7 +51,6 @@
 import com.hazelcast.core.IMap;
 import com.hazelcast.core.ISet;
 
-import edu.ucsb.nceas.metacat.common.SolrServerFactory;
 import edu.ucsb.nceas.metacat.common.index.IndexTask;
 import edu.ucsb.nceas.metacat.common.index.event.IndexEvent;
 import edu.ucsb.nceas.metacat.index.event.EventlogFactory;
Index: metacat-index/src/main/java/edu/ucsb/nceas/metacat/index/SolrIndex.java
===================================================================
--- metacat-index/src/main/java/edu/ucsb/nceas/metacat/index/SolrIndex.java	(revision 8825)
+++ metacat-index/src/main/java/edu/ucsb/nceas/metacat/index/SolrIndex.java	(revision 8826)
@@ -68,7 +68,7 @@
 import org.dataone.service.exceptions.UnsupportedType;
 import org.dataone.service.types.v1.Event;
 import org.dataone.service.types.v1.Identifier;
-import org.dataone.service.types.v1.SystemMetadata;
+import org.dataone.service.types.v2.SystemMetadata;
 import org.dataone.service.util.DateTimeMarshaller;
 import org.dataone.service.util.TypeMarshaller;
 import org.dspace.foresite.OREParserException;
Index: metacat-index/src/main/java/edu/ucsb/nceas/metacat/index/DistributedMapsFactory.java
===================================================================
--- metacat-index/src/main/java/edu/ucsb/nceas/metacat/index/DistributedMapsFactory.java	(revision 8825)
+++ metacat-index/src/main/java/edu/ucsb/nceas/metacat/index/DistributedMapsFactory.java	(revision 8826)
@@ -20,8 +20,6 @@
 import java.io.FileInputStream;
 import java.io.FileNotFoundException;
 import java.io.InputStream;
-import java.util.List;
-import java.util.Map;
 
 import org.apache.commons.logging.Log;
 import org.apache.commons.logging.LogFactory;
@@ -28,7 +26,7 @@
 import org.dataone.configuration.Settings;
 import org.dataone.service.exceptions.ServiceFailure;
 import org.dataone.service.types.v1.Identifier;
-import org.dataone.service.types.v1.SystemMetadata;
+import org.dataone.service.types.v2.SystemMetadata;
 
 import com.hazelcast.client.ClientConfig;
 import com.hazelcast.client.HazelcastClient;
Index: metacat-index/src/main/java/edu/ucsb/nceas/metacat/index/MetacatIndexServlet.java
===================================================================
--- metacat-index/src/main/java/edu/ucsb/nceas/metacat/index/MetacatIndexServlet.java	(revision 8825)
+++ metacat-index/src/main/java/edu/ucsb/nceas/metacat/index/MetacatIndexServlet.java	(revision 8826)
@@ -21,8 +21,6 @@
 
 import java.io.File;
 import java.io.IOException;
-import java.net.URL;
-import java.util.List;
 
 import javax.servlet.ServletConfig;
 import javax.servlet.ServletException;
@@ -30,14 +28,10 @@
 import javax.servlet.http.HttpServletRequest;
 import javax.servlet.http.HttpServletResponse;
 
-import org.apache.commons.configuration.ConfigurationException;
 import org.apache.commons.logging.Log;
 import org.apache.commons.logging.LogFactory;
-import org.dataone.configuration.Settings;
 
-import edu.ucsb.nceas.metacat.common.query.EnabledQueryEngines;
 
-
 /**
  * A servlet class for the Metadata Index module. This class only does one thing - initialize the ApplicationController class.
  * @author tao
Index: metacat-index/src/main/java/edu/ucsb/nceas/metacat/index/SystemMetadataEventListener.java
===================================================================
--- metacat-index/src/main/java/edu/ucsb/nceas/metacat/index/SystemMetadataEventListener.java	(revision 8825)
+++ metacat-index/src/main/java/edu/ucsb/nceas/metacat/index/SystemMetadataEventListener.java	(revision 8826)
@@ -26,7 +26,7 @@
 import org.apache.commons.logging.LogFactory;
 import org.dataone.service.exceptions.ServiceFailure;
 import org.dataone.service.types.v1.Identifier;
-import org.dataone.service.types.v1.SystemMetadata;
+import org.dataone.service.types.v2.SystemMetadata;
 
 import com.hazelcast.core.EntryEvent;
 import com.hazelcast.core.EntryListener;
Index: metacat-index/src/main/resources/application-context-ao.xml
===================================================================
--- metacat-index/src/main/resources/application-context-ao.xml	(revision 8825)
+++ metacat-index/src/main/resources/application-context-ao.xml	(revision 8826)
@@ -5,7 +5,7 @@
 
 	<bean id="rdfXmlSubprocessor" class="edu.ucsb.nceas.metacat.index.annotation.RdfXmlSubprocessor">
 		<property name="matchDocument"
-			value="/d100:systemMetadata/formatId[text()='http://www.w3.org/TR/rdf-syntax-grammar']" />
+			value="/d200:systemMetadata/formatId[text()='http://www.w3.org/TR/rdf-syntax-grammar']" />
 		<property name="fieldList">
 			<list>
 				<ref bean="annotation.measurement" />
Index: metacat-index/src/main/resources/application-context-eml200.xml
===================================================================
--- metacat-index/src/main/resources/application-context-eml200.xml	(revision 8825)
+++ metacat-index/src/main/resources/application-context-eml200.xml	(revision 8826)
@@ -5,7 +5,7 @@
  <bean id="eml200Subprocessor"
   class="org.dataone.cn.indexer.parser.ScienceMetadataDocumentSubprocessor">
   <property name="matchDocument"
-   value="/d100:systemMetadata/formatId[text() = 'eml://ecoinformatics.org/eml-2.0.0']"></property>
+   value="/d200:systemMetadata/formatId[text() = 'eml://ecoinformatics.org/eml-2.0.0']"></property>
   <property name="fieldList">
    <list>
     <ref bean="eml.abstract" />
Index: metacat-index/src/main/resources/application-context-oa.xml
===================================================================
--- metacat-index/src/main/resources/application-context-oa.xml	(revision 8825)
+++ metacat-index/src/main/resources/application-context-oa.xml	(revision 8826)
@@ -5,7 +5,7 @@
 
 	<bean id="rdfXmlSubprocessor" class="edu.ucsb.nceas.metacat.index.annotation.RdfXmlSubprocessor">
 		<property name="matchDocument"
-			value="/d100:systemMetadata/formatId[text()='http://www.w3.org/TR/rdf-syntax-grammar'] | /d100:systemMetadata/formatId[text()='http://www.openarchives.org/ore/terms']" />
+			value="/d200:systemMetadata/formatId[text()='http://www.w3.org/TR/rdf-syntax-grammar'] | /d200:systemMetadata/formatId[text()='http://www.openarchives.org/ore/terms']" />
 		<property name="fieldList">
 			<list>
 				<ref bean="annotation.standard" />
Index: metacat-index/src/main/resources/application-context-eml201.xml
===================================================================
--- metacat-index/src/main/resources/application-context-eml201.xml	(revision 8825)
+++ metacat-index/src/main/resources/application-context-eml201.xml	(revision 8826)
@@ -5,7 +5,7 @@
  <bean id="eml201Subprocessor"
   class="org.dataone.cn.indexer.parser.ScienceMetadataDocumentSubprocessor">
   <property name="matchDocument"
-   value="/d100:systemMetadata/formatId[text() = 'eml://ecoinformatics.org/eml-2.0.1']"></property>
+   value="/d200:systemMetadata/formatId[text() = 'eml://ecoinformatics.org/eml-2.0.1']"></property>
   <property name="fieldList">
    <list>
     <ref bean="eml.abstract" />
Index: metacat-index/src/main/resources/application-context-eml210.xml
===================================================================
--- metacat-index/src/main/resources/application-context-eml210.xml	(revision 8825)
+++ metacat-index/src/main/resources/application-context-eml210.xml	(revision 8826)
@@ -9,7 +9,7 @@
  <bean id="eml210Subprocessor"
   class="org.dataone.cn.indexer.parser.ScienceMetadataDocumentSubprocessor">
   <property name="matchDocument"
-   value="/d100:systemMetadata/formatId[text() = 'eml://ecoinformatics.org/eml-2.1.0']"></property>
+   value="/d200:systemMetadata/formatId[text() = 'eml://ecoinformatics.org/eml-2.1.0']"></property>
   <property name="fieldList">
    <list>
     <ref bean="eml.abstract" />
Index: metacat-index/src/main/resources/application-context-eml211.xml
===================================================================
--- metacat-index/src/main/resources/application-context-eml211.xml	(revision 8825)
+++ metacat-index/src/main/resources/application-context-eml211.xml	(revision 8826)
@@ -5,7 +5,7 @@
  <bean id="eml211Subprocessor"
   class="org.dataone.cn.indexer.parser.ScienceMetadataDocumentSubprocessor">
   <property name="matchDocument"
-   value="/d100:systemMetadata/formatId[text() = 'eml://ecoinformatics.org/eml-2.1.1']"></property>
+   value="/d200:systemMetadata/formatId[text() = 'eml://ecoinformatics.org/eml-2.1.1']"></property>
   <property name="fieldList">
    <list>
     <ref bean="eml.abstract" />
Index: metacat-index/src/main/resources/application-context-resource-map.xml
===================================================================
--- metacat-index/src/main/resources/application-context-resource-map.xml	(revision 8825)
+++ metacat-index/src/main/resources/application-context-resource-map.xml	(revision 8826)
@@ -5,7 +5,7 @@
 
 	<bean id="resourceMapSubprocessor" class="edu.ucsb.nceas.metacat.index.resourcemap.ResourceMapSubprocessor">
 		<property name="matchDocument"
-			value="/d100:systemMetadata/formatId[text()='http://www.openarchives.org/ore/terms']" />
+			value="/d200:systemMetadata/formatId[text()='http://www.openarchives.org/ore/terms']" />
 		<!-- <property name="httpService" ref="httpService"></property>
 		<property name="solrQueryUri" value="${solr.query.uri}"></property> -->
 	</bean>
Index: metacat-index/src/main/resources/index-processor-context.xml
===================================================================
--- metacat-index/src/main/resources/index-processor-context.xml	(revision 8825)
+++ metacat-index/src/main/resources/index-processor-context.xml	(revision 8826)
@@ -27,7 +27,9 @@
     <import resource="application-context-resource-map.xml" />
     <import resource="application-context-systemmeta100.xml" />
     
+    <!--  
     <import resource="application-context-oa.xml" />
+    -->
     
     <!-- <import resource="application-context-ao.xml" /> -->
     
@@ -98,7 +100,9 @@
        <ref bean="fgdcEsri80Subprocessor" />
        <ref bean="dryad30Subprocessor" />
        <ref bean="dryad31Subprocessor" />
+       <!--  
        <ref bean="rdfXmlSubprocessor" />
+       -->
       </list>
      </property>
     </bean>
@@ -109,10 +113,11 @@
  <bean id="xmlNamespaceConfig" class="org.dataone.cn.indexer.XMLNamespaceConfig">
   <constructor-arg name="namespaceList">
    <list>
+    
     <bean class="org.dataone.cn.indexer.XMLNamespace">
      <constructor-arg name="namespace"
-      value="http://ns.dataone.org/service/types/v1" />
-     <constructor-arg name="prefix" value="d100" />
+      value="http://ns.dataone.org/service/types/v2.0" />
+     <constructor-arg name="prefix" value="d200" />
     </bean>
     <bean class="org.dataone.cn.indexer.XMLNamespace">
      <constructor-arg name="namespace"
Index: metacat-index/src/main/resources/application-context-systemmeta100.xml
===================================================================
--- metacat-index/src/main/resources/application-context-systemmeta100.xml	(revision 8825)
+++ metacat-index/src/main/resources/application-context-systemmeta100.xml	(revision 8826)
@@ -7,18 +7,18 @@
 				<bean class="org.dataone.cn.indexer.parser.SolrField">
 					<constructor-arg name="name" value="id" />
 					<constructor-arg name="xpath"
-						value="/d100:systemMetadata/identifier/text()" />
+						value="/d200:systemMetadata/identifier/text()" />
 				</bean>
 				
 				<bean class="org.dataone.cn.indexer.parser.SolrField">
 					<constructor-arg name="name" value="formatId" />
 					<constructor-arg name="xpath"
-						value="/d100:systemMetadata/formatId/text()" />
+						value="/d200:systemMetadata/formatId/text()" />
 				</bean>
 				
 				<bean class="org.dataone.cn.indexer.parser.SolrField">
 					<constructor-arg name="name" value="formatType" />
-					<constructor-arg name="xpath" value="/d100:systemMetadata/formatId/text()" />
+					<constructor-arg name="xpath" value="/d200:systemMetadata/formatId/text()" />
 					<property name="converter" ref="formatIdToFormatTypeConverter" />
 				</bean>
 				
@@ -25,49 +25,49 @@
 				<bean class="org.dataone.cn.indexer.parser.SolrField">
 					<constructor-arg name="name" value="size" />
 					<constructor-arg name="xpath"
-						value="/d100:systemMetadata/size/text()" />
+						value="/d200:systemMetadata/size/text()" />
 				</bean>
 				
 				<bean class="org.dataone.cn.indexer.parser.SolrField">
 					<constructor-arg name="name" value="checksum" />
 					<constructor-arg name="xpath"
-						value="/d100:systemMetadata/checksum/text()" />
+						value="/d200:systemMetadata/checksum/text()" />
 				</bean>
 				
 				<bean class="org.dataone.cn.indexer.parser.SolrField">
 					<constructor-arg name="name" value="submitter" />
 					<constructor-arg name="xpath"
-						value="/d100:systemMetadata/submitter/text()" />
+						value="/d200:systemMetadata/submitter/text()" />
 				</bean>
 				
 				<bean class="org.dataone.cn.indexer.parser.SolrField">
 					<constructor-arg name="name" value="checksumAlgorithm" />
 					<constructor-arg name="xpath"
-						value="/d100:systemMetadata/checksum/@algorithm" />
+						value="/d200:systemMetadata/checksum/@algorithm" />
 				</bean>
 				
 				<bean class="org.dataone.cn.indexer.parser.SolrField">
 					<constructor-arg name="name" value="rightsHolder" />
 					<constructor-arg name="xpath"
-						value="/d100:systemMetadata/rightsHolder/text()" />
+						value="/d200:systemMetadata/rightsHolder/text()" />
 				</bean>
 
 				<bean class="org.dataone.cn.indexer.parser.SolrField">
 					<constructor-arg name="name" value="replicationAllowed" />
 					<constructor-arg name="xpath"
-						value="/d100:systemMetadata/replicationPolicy/@replicationAllowed" />
+						value="/d200:systemMetadata/replicationPolicy/@replicationAllowed" />
 				</bean>
 				
 				<bean class="org.dataone.cn.indexer.parser.SolrField">
 					<constructor-arg name="name" value="numberReplicas" />
 					<constructor-arg name="xpath"
-						value="/d100:systemMetadata/replicationPolicy/@numberReplicas" />
+						value="/d200:systemMetadata/replicationPolicy/@numberReplicas" />
 				</bean>
 
 				<bean class="org.dataone.cn.indexer.parser.SolrField">
 					<constructor-arg name="name" value="preferredReplicationMN" />
 					<constructor-arg name="xpath"
-						value="/d100:systemMetadata/replicationPolicy/preferredMemberNode/text()" />
+						value="/d200:systemMetadata/replicationPolicy/preferredMemberNode/text()" />
 					<property name="multivalue" value="true" />
 				</bean>
 				
@@ -74,7 +74,7 @@
 				<bean class="org.dataone.cn.indexer.parser.SolrField">
 					<constructor-arg name="name" value="blockedReplicationMN" />
 					<constructor-arg name="xpath"
-						value="/d100:systemMetadata/replicationPolicy/blockedMemberNode/text()" />
+						value="/d200:systemMetadata/replicationPolicy/blockedMemberNode/text()" />
 					<property name="multivalue" value="true" />
 				</bean>
 				
@@ -81,19 +81,19 @@
 				<bean class="org.dataone.cn.indexer.parser.SolrField">
 					<constructor-arg name="name" value="obsoletes" />
 					<constructor-arg name="xpath"
-						value="/d100:systemMetadata/obsoletes/text()" />
+						value="/d200:systemMetadata/obsoletes/text()" />
 				</bean>
 
 				<bean class="org.dataone.cn.indexer.parser.SolrField">
 					<constructor-arg name="name" value="obsoletedBy" />
 					<constructor-arg name="xpath"
-						value="/d100:systemMetadata/obsoletedBy/text()" />
+						value="/d200:systemMetadata/obsoletedBy/text()" />
 				</bean>
 
 				<bean class="org.dataone.cn.indexer.parser.SolrField">
 					<constructor-arg name="name" value="dateUploaded" />
 					<constructor-arg name="xpath"
-						value="/d100:systemMetadata/dateUploaded/text()" />
+						value="/d200:systemMetadata/dateUploaded/text()" />
 					<property name="converter" ref="dateConverter" />
 				</bean>
 
@@ -100,7 +100,7 @@
 				<bean class="org.dataone.cn.indexer.parser.SolrField">
 					<constructor-arg name="name" value="dateModified" />
 					<constructor-arg name="xpath"
-						value="/d100:systemMetadata/dateSysMetadataModified/text()" />
+						value="/d200:systemMetadata/dateSysMetadataModified/text()" />
 					<property name="converter" ref="dateConverter" />
 				</bean>
 				
@@ -107,19 +107,19 @@
 				<bean class="org.dataone.cn.indexer.parser.SolrField">
 					<constructor-arg name="name" value="datasource" />
 					<constructor-arg name="xpath"
-						value="/d100:systemMetadata/originMemberNode/text()" />
+						value="/d200:systemMetadata/originMemberNode/text()" />
 				</bean>
 
 				<bean class="org.dataone.cn.indexer.parser.SolrField">
 					<constructor-arg name="name" value="authoritativeMN" />
 					<constructor-arg name="xpath"
-						value="/d100:systemMetadata/authoritativeMemberNode/text()" />
+						value="/d200:systemMetadata/authoritativeMemberNode/text()" />
 				</bean>
 
 				<bean class="org.dataone.cn.indexer.parser.SolrField">
 					<constructor-arg name="name" value="replicaMN" />
 					<constructor-arg name="xpath"
-						value="/d100:systemMetadata/replica/replicaMemberNode/text()" />
+						value="/d200:systemMetadata/replica/replicaMemberNode/text()" />
 					<property name="multivalue" value="true" />
 				</bean>
 				
@@ -126,7 +126,7 @@
 				<bean class="org.dataone.cn.indexer.parser.SolrField">
 					<constructor-arg name="name" value="replicaVerifiedDate" />
 					<constructor-arg name="xpath"
-						value="/d100:systemMetadata/replica/replicaVerified/text()" />
+						value="/d200:systemMetadata/replica/replicaVerified/text()" />
 					<property name="multivalue" value="true" />
 					<property name="converter" ref="dateConverter" />
 				</bean>
@@ -134,7 +134,7 @@
 				<bean class="org.dataone.cn.indexer.parser.SolrField">
 					<constructor-arg name="name" value="readPermission" />
 					<constructor-arg name="xpath"
-						value="/d100:systemMetadata/accessPolicy/allow[permission= 'read']/subject/text()" />
+						value="/d200:systemMetadata/accessPolicy/allow[permission= 'read']/subject/text()" />
 					<property name="multivalue" value="true" />
 					<property name="dedupe" value="true" />
 				</bean>
@@ -142,7 +142,7 @@
 				<bean class="org.dataone.cn.indexer.parser.SolrField">
 					<constructor-arg name="name" value="writePermission" />
 					<constructor-arg name="xpath"
-						value="/d100:systemMetadata/accessPolicy/allow[permission= 'write']/subject/text()" />
+						value="/d200:systemMetadata/accessPolicy/allow[permission= 'write']/subject/text()" />
 					<property name="multivalue" value="true" />
 					<property name="dedupe" value="true" />
 				</bean>
@@ -150,7 +150,7 @@
 				<bean class="org.dataone.cn.indexer.parser.SolrField">
 					<constructor-arg name="name" value="changePermission" />
 					<constructor-arg name="xpath"
-						value="/d100:systemMetadata/accessPolicy/allow[permission= 'changePermission']/subject/text()" />
+						value="/d200:systemMetadata/accessPolicy/allow[permission= 'changePermission']/subject/text()" />
 					<property name="multivalue" value="true" />
 					<property name="dedupe" value="true" />
 				</bean>
@@ -158,7 +158,7 @@
 				<bean class="org.dataone.cn.indexer.parser.SolrField">
 					<constructor-arg name="name" value="isPublic" />
 					<constructor-arg name="xpath"
-						value="/d100:systemMetadata/accessPolicy/allow[permission= 'read']/subject[text()='public']/text()" />
+						value="/d200:systemMetadata/accessPolicy/allow[permission= 'read']/subject[text()='public']/text()" />
 					<property name="converter" ref="booleanPublicConverter" />
 				</bean>
 
Index: src/edu/ucsb/nceas/metacat/dataone/D1NodeService.java
===================================================================
--- src/edu/ucsb/nceas/metacat/dataone/D1NodeService.java	(revision 8825)
+++ src/edu/ucsb/nceas/metacat/dataone/D1NodeService.java	(revision 8826)
@@ -831,13 +831,21 @@
       
       // check the CN list
       if (!allowed) {
-	      // are we allowed to do this? only CNs are allowed
-	      CNode cn = D1Client.getCN();
-	      List<Node> nodes = cn.listNodes().getNodeList();
-	      
+	      List<Node> nodes = null;
+
+    	  try {
+		      // are we allowed to do this? only CNs are allowed
+		      CNode cn = D1Client.getCN();
+		      nodes = cn.listNodes().getNodeList();
+    	  }
+	      catch (Throwable e) {
+	    	  logMetacat.warn(e.getMessage());
+	    	  return false;  
+	      }
+		      
 	      if ( nodes == null ) {
-	          throw new ServiceFailure("4852", "Couldn't get node list.");
-	  
+	    	  return false;
+	          //throw new ServiceFailure("4852", "Couldn't get node list.");
 	      }
 	      
 	      // find the node in the node list
Index: src/edu/ucsb/nceas/metacat/index/MetacatSolrIndex.java
===================================================================
--- src/edu/ucsb/nceas/metacat/index/MetacatSolrIndex.java	(revision 8825)
+++ src/edu/ucsb/nceas/metacat/index/MetacatSolrIndex.java	(revision 8826)
@@ -22,7 +22,6 @@
  */
 package edu.ucsb.nceas.metacat.index;
 
-import java.io.ByteArrayInputStream;
 import java.io.ByteArrayOutputStream;
 import java.io.IOException;
 import java.io.InputStream;
@@ -51,7 +50,7 @@
 import org.dataone.service.types.v1.Event;
 import org.dataone.service.types.v1.Identifier;
 import org.dataone.service.types.v1.Subject;
-import org.dataone.service.types.v1.SystemMetadata;
+import org.dataone.service.types.v2.SystemMetadata;
 import org.xml.sax.SAXException;
 
 import edu.ucsb.nceas.metacat.DBTransform;